//=============================================================================
// FMCheckPoint.
//
// Author: Francesco Biscazzo
// Date: 2019
// ©copyright Francesco Biscazzo. All rights reserved.
//
// Description: --
//=============================================================================
class FMCheckPoint extends NavigationPoint
	config(FunkyMoves);

var float timeSeconds;

var rotator viewRotation;

var config bool bCPOnlyOwnerSee; // If true only the owner can see its checkpoints.
var config String customTexture;
var config String customMesh, customSkin;
var config String customMultiSkins[8];
var config bool bCustomMeshEnviroMap, bCustomUnlit;
var config name customAnimSequence;
var config float customAnimRate;
var config float customDrawScale;
var config byte customStyleNum;
var config byte customAmbientGlow;

event Spawned() {
	local int i;

	local Texture customT;
	local Mesh customM;
	local Texture customS;
	local Texture cutomMSTexture;

	super.Spawned();
	
	bOnlyOwnerSee = bCPOnlyOwnerSee;
	customT = Texture(DynamicLoadObject(customTexture, class'Texture'));
	if (customT != None)
		Texture = customT;
	customM = Mesh(DynamicLoadObject(customMesh, class'Mesh'));
	if (customM != None) {
		DrawType = DT_Mesh;
		Mesh = customM;
	}
	customS = Texture(DynamicLoadObject(customSkin, class'Texture'));
	if (customS != None)
		Skin = customS;
	for (i = 0; i < ArrayCount(customMultiSkins); i++) {
		cutomMSTexture = Texture(DynamicLoadObject(customMultiSkins[i], class'Texture'));
		if (cutomMSTexture != None)
			MultiSkins[i] = cutomMSTexture;
	}
	bMeshEnviroMap = bCustomMeshEnviroMap;
	bUnlit = bCustomUnlit;
	if (customAnimSequence != '')
		loopAnim(customAnimSequence, customAnimRate);
	if (customDrawScale > 0)
		DrawScale = customDrawScale;
	if (customStyleNum != 0)
		SetPropertyText("Style", String(GetEnum(enum'ERenderStyle', customStyleNum)));
	AmbientGlow = customAmbientGlow;
}

defaultproperties
{
     bStatic=False
	 bCollideWhenPlacing=False
     Physics=PHYS_None
     bDirectional=True
	 RemoteRole=ROLE_DumbProxy
	 Texture=Texture'Botpack.Icons.YellowFlag'
	 DrawScale=2
	 bCPOnlyOwnerSee=True
}